#ifndef TABLEFIELD_H
#define TABLEFIELD_H

#include <QObject>
#include <QtGui>
#include <QMainWindow>
#include <QString>
#include <QtSql>
#include <QSqlTableModel>
#include <QTableView>
#include <QSqlDriverPlugin>
#include <QIcon>
#include <QVariant>
#include <QProcess>
#include <QByteArray>

class TableField : public QObject
{
Q_OBJECT
public:
    explicit TableField(QObject *parent = 0);

signals:

public slots:

private:
    QString fieldName; // переменная содержит имя базы данных, с которой будем устанавливать соединение
    QString fieldType; // переменная содержит описание типа данных, хранимых в поле
    QString defaultValue; //    

protected:

public:
    void setName(QString name);
    void setType(QString ftype);
    QString name();
    QString type();
};

#endif // TABLEFIELD_H
